| QxOrm 1.4.1 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | Static Private Member Functions
qx::model_view::detail::QxNestedModel_Ptr< T > Struct Template Reference

`#include <QxNestedModel.h>`

List of all members.

## Static Public Member Functions
static qx::IxModel * | create (qx::IxModel *pParent, const QModelIndex &idxParent, T &t)
static void | synchronize (qx::IxModel *pModel, T &t)
## Static Private Member Functions
template<class U >
static qx::IxModel * | create_Helper (qx::IxModel *pParent, const QModelIndex &idxParent, U &u)
static qx::IxModel * | create_NullHelper (qx::IxModel *pParent, const QModelIndex &idxParent)

## Detailed Description

### template<class T>
struct qx::model_view::detail::QxNestedModel_Ptr< T >

Definition at line 288 of file QxNestedModel.h.

## Member Function Documentation

template<class T >

static qx::IxModel* qx::model_view::detail::QxNestedModel_Ptr< T >::create | ( | qx::IxModel * | pParent,
|  | const QModelIndex & | idxParent,
|  | T & | t
| ) |  | `[inline, static]`

Definition at line 291 of file QxNestedModel.h.

template<class T >
template<class U >

static qx::IxModel* qx::model_view::detail::QxNestedModel_Ptr< T >::create_Helper | ( | qx::IxModel * | pParent,
|  | const QModelIndex & | idxParent,
|  | U & | u
| ) |  | `[inline, static, private]`

Definition at line 300 of file QxNestedModel.h.

template<class T >

static qx::IxModel* qx::model_view::detail::QxNestedModel_Ptr< T >::create_NullHelper | ( | qx::IxModel * | pParent,
|  | const QModelIndex & | idxParent
| ) |  | `[inline, static, private]`

Definition at line 303 of file QxNestedModel.h.

template<class T >

static void qx::model_view::detail::QxNestedModel_Ptr< T >::synchronize | ( | qx::IxModel * | pModel,
|  | T & | t
| ) |  | `[inline, static]`

Definition at line 294 of file QxNestedModel.h.

The documentation for this struct was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxModelView/QxNestedModel.h